import '../src/utils.dart';
import 'codable.dart';

class GetSocialAction extends Encodable {
  GetSocialAction.fromJSON(Map<String, dynamic> json)
      : type = json['type'],
        data = Utils.createStringStringMap(json['data']);

  String type;
  Map<String, String> data;

  /// Create new instance
  ///
  /// [type]  Type of Action
  /// [data]  Action data
  GetSocialAction(String type, Map<String, String> data) {
    this.type = type;
    this.data = data;
  }

  Map<String, dynamic> toJSON() => {'type': type, 'data': data};

  @override
  String toString() {
    return 'GetSocialAction{'
        'type: $type, '
        'data: $data'
        '}';
  }
}
