/// Describe PagingResult object.
class PagingResult<T> {
  PagingResult.fromJSON(
      Map<String, dynamic> json, T Function(Map<String, dynamic>) mapper) {
    if (json['entries'] != null) {
      var rawList = (json['entries'] as List<dynamic>);
      if (rawList.isNotEmpty) {
        entries = rawList.map((e) => mapper(e)).toList();
      }
    }
    next = json['next'];
  }

  /// Entries
  List<T> entries = [];

  /// Cursor for pagination
  String next;
}
