import '../common/action.dart';
import '../common/codable.dart';

/// Describe Activity object.
class ActivityButton extends Encodable {
  ActivityButton.fromJSON(Map<String, dynamic> json)
      : title = json['title'],
        action = GetSocialAction.fromJSON(json['action']);

  /// Create new ActivityButton instance.
  /// [title]   Button title
  /// [action]  GetSocialAction assigned to the button
  ActivityButton(String title, GetSocialAction action) {
    this.title = title;
    this.action = action;
  }

  String title;
  GetSocialAction action;

  Map<String, dynamic> toJSON() => {'title': title, 'action': action.toJSON()};

  @override
  String toString() {
    return 'ActivityButton{'
        'title: $title, '
        'action: $action,'
        '}';
  }
}
