import '../src/utils.dart';

class CommunitiesEntityType {
  /// Unknown. ///
  static const unknown = 0;

  /// App. ///
  static const app = 1;

  /// Topic. ///
  static const topic = 2;

  /// Group. ///
  static const group = 3;

  /// User. ///
  static const user = 4;

  /// Activity. ///
  static const activity = 6;
}

/// Describe CommunitiesEntity object.
class CommunitiesEntity {
  CommunitiesEntity.fromJSON(Map<String, dynamic> json)
      : id = json['id'],
        type = json['type'],
        title = json['title'],
        avatarUrl = json['avatarUrl'],
        followersCount = json['followersCount'],
        isFollowedByMe = json['isFollowedByMe'],
        allowedActions = Utils.createIntBoolMap(json['allowedActions']);

  String id;
  int type;
  String title;
  String avatarUrl;
  int followersCount;
  bool isFollowedByMe;
  Map<int, bool> allowedActions;

  /// Check if action is allowed.
  /// [action]  Action to check, one of [communitiesaction.dart.CommunitiesEntityAction].
  bool isActionAllowed(int action) {
    return allowedActions[action] ?? false;
  }
}
