import '../src/utils.dart';

/// Describe CommunitiesSettings object.
class CommunitiesSettings {
  CommunitiesSettings.fromJSON(Map<String, dynamic> json)
      : allowedActions = Utils.createIntBoolMap(json['allowedActions']),
        properties = Utils.createStringStringMap(json['properties']);

  Map<int, bool> allowedActions;
  Map<String, String> properties;

  /// Check if action is allowed.
  /// [action]  Action to check, one of [communitiesaction.dart.CommunitiesEntityAction].
  bool isActionAllowed(int action) {
    return allowedActions[action] ?? false;
  }

  @override
  String toString() {
    return 'CommunitiesSettings{'
        'allowedActions: $allowedActions, '
        'properties: $properties,'
        '}';
  }
}
