import '../../common/codable.dart';
import '../../common/public.dart';
import '../../src/communitiesids.dart';

class AnnouncementsQuery extends Encodable {
  CommunitiesIds ids;

  AnnouncementsQuery(CommunitiesIds ids) {
    this.ids = ids;
  }

  static AnnouncementsQuery forFeedOf(UserId id) {
    return AnnouncementsQuery(CommunitiesIds.user(id));
  }

  static AnnouncementsQuery inTopic(String id) {
    return AnnouncementsQuery(CommunitiesIds.topic(id));
  }

  static AnnouncementsQuery timeline() {
    return AnnouncementsQuery(CommunitiesIds.timeline());
  }

  Map<String, dynamic> toJSON() => {
        'ids': ids.toJSON(),
      };
}
