import '../../common/codable.dart';
import '../postactivitytarget.dart';

class TagsQuery extends Encodable {
  String searchTerm;
  PostActivityTarget target;

  TagsQuery(String searchTerm) {
    this.searchTerm = searchTerm;
  }

  static TagsQuery find(String searchTerm) {
    return TagsQuery(searchTerm);
  }

  TagsQuery inTarget(PostActivityTarget target) {
    this.target = target;
    return this;
  }

  Map<String, dynamic> toJSON() =>
      {'query': searchTerm, 'target': target == null ? null : target.toJSON()};
}
