import '../../common/codable.dart';
import '../../common/userid.dart';

class TopicsQuery extends Encodable {
  String searchTerm;
  UserId follower;

  TopicsQuery(String searchTerm) {
    this.searchTerm = searchTerm;
  }

  static TopicsQuery find(String searchTerm) {
    return TopicsQuery(searchTerm);
  }

  static TopicsQuery all() {
    return TopicsQuery(null);
  }

  TopicsQuery followedBy(UserId id) {
    this.follower = id;
    return this;
  }

  Map<String, dynamic> toJSON() => {
        'searchTerm': searchTerm,
        'followerId': follower == null ? null : follower.toJSON()
      };
}
