import '../../common/codable.dart';
import '../../common/userid.dart';

class UsersQuery extends Encodable {
  String searchTerm;
  UserId follower;

  UsersQuery(String searchTerm) {
    this.searchTerm = searchTerm;
  }

  static UsersQuery find(String searchTerm) {
    return UsersQuery(searchTerm);
  }

  static UsersQuery all() {
    return UsersQuery(null);
  }

  UsersQuery followedBy(UserId id) {
    this.follower = id;
    return this;
  }

  Map<String, dynamic> toJSON() => {
        'query': searchTerm == null ? '' : searchTerm,
        'followedBy': follower == null ? null : follower.toJSON()
      };
}
