import 'communitiessettings.dart';

/// Describe Topic object.
class Topic {
  Topic.fromJSON(Map<String, dynamic> json)
      : id = json['id'],
        title = json['title'],
        topicDescription = json['description'],
        avatarUrl = json['avatarUrl'],
        createdAt = json['createdAt'],
        updatedAt = json['updatedAt'],
        settings = CommunitiesSettings.fromJSON(json['settings']),
        followersCount = json['followersCount'],
        isFollowedByMe = json['isFollowedByMe'];

  String id;
  String title;
  String topicDescription;
  String avatarUrl;
  int createdAt;
  int updatedAt;
  CommunitiesSettings settings;
  int followersCount;
  bool isFollowedByMe;

  @override
  String toString() {
    return 'Topic{'
        'id: $id, '
        'title: $title,'
        'description: $topicDescription,'
        'avatarUrl: $avatarUrl,'
        'createdAt: $createdAt,'
        'updatedAt: $updatedAt,'
        'settings: $settings,'
        'followersCount: $followersCount,'
        'isFollowedByMe: $isFollowedByMe'
        '}';
  }
}
