/// Describe ReferralData object.
class ReferralData {
  ReferralData.fromJSON(Map<String, dynamic> json)
      : token = json['token'],
        referrerUserId = json['referrerUserId'],
        referrerChannelId = json['referrerChannelId'],
        isFirstMatch = json['isFirstMatch'],
        isFirstMatchLink = json['isFirstMatchLink'],
        isGuaranteedMatch = json['isGuaranteedMatch'],
        isReinstall = json['isReinstall'],
        linkParams = Map<String, String>.from(json['linkParams']),
        originalLinkParams =
            Map<String, String>.from(json['originalLinkParams']);

  String token;
  String referrerUserId;
  String referrerChannelId;
  bool isFirstMatch;
  bool isFirstMatchLink;
  bool isGuaranteedMatch;
  bool isReinstall;
  Map<String, String> linkParams;
  Map<String, String> originalLinkParams;

  @override
  String toString() {
    return 'ReferralData{'
        'token: $token, '
        'referrerUserId: $referrerUserId,'
        'referrerChannelId: $referrerChannelId,'
        'isFirstMatch: $isFirstMatch,'
        'isFirstMatchLink: $isFirstMatchLink,'
        'isGuaranteedMatch: $isGuaranteedMatch,'
        'isReinstall: $isReinstall,'
        'linkParams: $linkParams,'
        'originalLinkParams: $originalLinkParams'
        '}';
  }
}
