import '../common/codable.dart';

/// Describe ReferralUsersQuery object.
class ReferralUsersQuery extends Encodable {
  String _event;

  ///
  /// Creates new query to filter all the users.
  ///
  static ReferralUsersQuery allUsers() {
    ReferralUsersQuery query = new ReferralUsersQuery();
    query._event = '';
    return query;
  }

  ///
  /// Creates new query to filter users for the specified event.
  ///
  /// [event] name of event.
  ///
  static ReferralUsersQuery usersForEvent(String event) {
    ReferralUsersQuery query = new ReferralUsersQuery();
    query._event = event;
    return query;
  }

  Map<String, dynamic> toJSON() => {'eventName': _event == null ? '' : _event};
}
