import '../common/codable.dart';
import '../common/userid.dart';
import '../common/useridlist.dart';
import '../communities/communitiesentity.dart';

class CommunitiesIds extends Encodable {
  int type;
  List<String> ids;

  CommunitiesIds(int type, List<String> ids) {
    this.type = type;
    this.ids = ids;
  }

  static CommunitiesIds topic(String id) {
    return CommunitiesIds(CommunitiesEntityType.topic, [id]);
  }

  static CommunitiesIds topics(List<String> ids) {
    return CommunitiesIds(CommunitiesEntityType.topic, ids);
  }

  static CommunitiesIds user(UserId id) {
    return CommunitiesIds(CommunitiesEntityType.user, [id.toString()]);
  }

  static CommunitiesIds users(UserIdList ids) {
    return CommunitiesIds(CommunitiesEntityType.user, ids.toStringList());
  }

  static CommunitiesIds activity(String id) {
    return CommunitiesIds(CommunitiesEntityType.activity, [id]);
  }

  static CommunitiesIds timeline() {
    return CommunitiesIds(CommunitiesEntityType.app, ['timeline']);
  }

  static CommunitiesIds everywhere() {
    return CommunitiesIds(null, []);
  }

  Map<String, dynamic> toJSON() {
    Map<String, dynamic> retValue = {'ids': ids};
    if (type != null) {
      retValue['type'] = type;
    }
    return retValue;
  }
}
