class Utils {
  static Map<int, bool> createIntBoolMap(Map<String, dynamic> jsonMap) {
    if (jsonMap == null || jsonMap.isEmpty) {
      return {};
    }
    return jsonMap.map((key, value) => MapEntry(int.parse(key), value));
  }

  static Map<String, int> createStringIntMap(Map<String, dynamic> jsonMap) {
    if (jsonMap == null || jsonMap.isEmpty) {
      return {};
    }
    return jsonMap.map((key, value) => MapEntry(key, value));
  }

  static Map<String, String> createStringStringMap(
      Map<String, dynamic> jsonMap) {
    if (jsonMap == null || jsonMap.isEmpty) {
      return {};
    }
    Map<String, String> resultMap = {};
    jsonMap.forEach((key, value) {
      resultMap[key] = value;
    });
    return resultMap;
  }

  static List<String> createStringList(List<dynamic> jsonList) {
    if (jsonList == null || jsonList.isEmpty) {
      return [];
    }
    return jsonList.map((element) => element as String).toList();
  }

  static List<T> createList<T>(
      List<dynamic> jsonList, T Function(Map<String, dynamic>) mapper) {
    if (jsonList == null || jsonList.isEmpty) {
      return [];
    }
    return jsonList.map((element) => mapper(element)).toList();
  }
}
