class User {
  final String userId;
  final String displayName;
  final String avatarUrl;
  final Map<String, String> identities;
  final Map<String, String> publicProperties;
  final bool verified;

  bool get isAnonymous => identities.length == 0;

  User.fromJson(Map<String, dynamic> json)
      : userId = json['userId'],
        displayName = json['displayName'],
        avatarUrl = json['avatarUrl'],
        identities = Map<String, String>.from(json['identities']),
        publicProperties = Map<String, String>.from(json['publicProperties']),
        verified = json['verified'] ?? false;

  @override
  String toString() {
    return 'User{userId: $userId, displayName: $displayName, avatarUrl: $avatarUrl, identities: $identities, publicProperties: $publicProperties, verified: $verified}';
  }
}
